Subject: Re: [Roll] replacing RFC6775

From: Michael Richardson <[email-masked]>
Date: Mon, 02 Nov 2015 09:14:05 +0900

Turner, Randy <[email-masked]> wrote:
    > My pitch in Prague was that there were ROLL networks that do not need
    > ND but could use some valuable options carried by ND - the DIO
    > compression context draft reflects one of the higher value options that
    > I could think of. There may still be LoWPAN scenarios that could still
    > benefit from 6775

Agreed, but it turns out that there are complications in the routing
artifacts that RPL uses that are caused by having mixed ND/RPL networks.

An option we need to discuss is the value of the mix, vs the simplicity
of doing one or the other.  So we have to decide what we want to support, and
where, and how to signal what kind of network exists.

So, carrying 6CO in RPL makes significant sense.

-- 
Michael Richardson <[email-masked]>, Sandelman Software Works 
IETF ROLL WG co-chair.    http://datatracker.ietf.org/wg/roll/charter/

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 02 Nov 2015 09:58:17 +0900

> artifacts that RPL uses that are caused by having mixed ND/RPL networks.

I think we need to work on these complications.

There should be no exposure at all of routing protocol complications on
the host-router interface.  On the router-router interface, it may not
be needed to distinguish host and router endpoint addresses.  The
last-hop router again needs to remove routing protocol complications.

Grüße, Carsten

---

From: Michael Richardson <[email-masked]>
Date: Mon, 02 Nov 2015 11:29:26 +0900

> I think we need to work on these complications.

Agreed, and this was the topic of discussion that Ines and I had with our AD.

Here is the plan as I see it:
     1) explain the problem well enough
        (some slides for Thursday's meeting are still being edited)

     2) outline the kind of solutions that we could persue
         -- without judging which one is better

     3) distribute this via iot-directorate, as this crosses some WGs
        in my opinion.

     4) recharter this WG if appropriate.

The chairs need some help here --- this needs the focus of a single-minded
person, vs the distraction of multitasking co-chairs.